Python
from magic_hour import Client
from os import getenv
client = Client(token=getenv("API_TOKEN"))
res = client.v1.image_background_remover.generate(
assets={
"background_image_file_path": "/path/to/1234.png",
"image_file_path": "/path/to/1234.png",
},
name="Background Remover image",
wait_for_completion=True,
download_outputs=True,
download_directory="."
)import { Client } from "magic-hour";
const client = new Client({ token: process.env["API_TOKEN"]!! });
const res = await client.v1.imageBackgroundRemover.generate(
{
assets: {
backgroundImageFilePath: "/path/to/1234.png",
imageFilePath: "/path/to/1234.png",
},
name: "Background Remover image",
},
{
waitForCompletion: true,
downloadOutputs: true,
downloadDirectory: ".",
},
);package main
import (
os "os"
sdk "github.com/magichourhq/magic-hour-go/client"
nullable "github.com/magichourhq/magic-hour-go/nullable"
image_background_remover "github.com/magichourhq/magic-hour-go/resources/v1/image_background_remover"
types "github.com/magichourhq/magic-hour-go/types"
)
func main() {
client := sdk.NewClient(
sdk.WithBearerAuth(os.Getenv("API_TOKEN")),
)
res, err := client.V1.ImageBackgroundRemover.Create(image_background_remover.CreateRequest{
Assets: types.V1ImageBackgroundRemoverCreateBodyAssets{
BackgroundImageFilePath: nullable.NewValue("api-assets/id/1234.png"),
ImageFilePath: "api-assets/id/1234.png",
},
Name: nullable.NewValue("My Background Remover image"),
})
}let client = magic_hour::Client::default()
.with_bearer_auth(&std::env::var("API_TOKEN").unwrap());
let res = client
.v1()
.image_background_remover()
.create(magic_hour::resources::v1::image_background_remover::CreateRequest {
assets: magic_hour::models::V1ImageBackgroundRemoverCreateBodyAssets {
background_image_file_path: Some("api-assets/id/1234.png".to_string()),
image_file_path: "api-assets/id/1234.png".to_string(),
},
name: Some("My Background Remover image".to_string()),
})
.await;curl --request POST \
--url https://api.magichour.ai/v1/image-background-remover \
--header 'accept: application/json' \
--header 'authorization: Bearer <token>' \
--header 'content-type: application/json' \
--data '
{
"name": "My Background Remover image",
"assets": {
"image_file_path": "api-assets/id/1234.png",
"background_image_file_path": "api-assets/id/1234.png"
}
}
'
{
"id": "cuid-example",
"credits_charged": 5
}{
"message": "Missing request body"
}{
"message": "Unauthorized"
}{
"message": "Payment required"
}{
"message": "Not Found"
}{
"message": "Unable to create image"
}Image Projects
Image Background Remover API Reference - Magic Hour Docs
Remove background from image. Each image costs 5 credits.
POST
/
v1
/
image-background-remover
Python
from magic_hour import Client
from os import getenv
client = Client(token=getenv("API_TOKEN"))
res = client.v1.image_background_remover.generate(
assets={
"background_image_file_path": "/path/to/1234.png",
"image_file_path": "/path/to/1234.png",
},
name="Background Remover image",
wait_for_completion=True,
download_outputs=True,
download_directory="."
)import { Client } from "magic-hour";
const client = new Client({ token: process.env["API_TOKEN"]!! });
const res = await client.v1.imageBackgroundRemover.generate(
{
assets: {
backgroundImageFilePath: "/path/to/1234.png",
imageFilePath: "/path/to/1234.png",
},
name: "Background Remover image",
},
{
waitForCompletion: true,
downloadOutputs: true,
downloadDirectory: ".",
},
);package main
import (
os "os"
sdk "github.com/magichourhq/magic-hour-go/client"
nullable "github.com/magichourhq/magic-hour-go/nullable"
image_background_remover "github.com/magichourhq/magic-hour-go/resources/v1/image_background_remover"
types "github.com/magichourhq/magic-hour-go/types"
)
func main() {
client := sdk.NewClient(
sdk.WithBearerAuth(os.Getenv("API_TOKEN")),
)
res, err := client.V1.ImageBackgroundRemover.Create(image_background_remover.CreateRequest{
Assets: types.V1ImageBackgroundRemoverCreateBodyAssets{
BackgroundImageFilePath: nullable.NewValue("api-assets/id/1234.png"),
ImageFilePath: "api-assets/id/1234.png",
},
Name: nullable.NewValue("My Background Remover image"),
})
}let client = magic_hour::Client::default()
.with_bearer_auth(&std::env::var("API_TOKEN").unwrap());
let res = client
.v1()
.image_background_remover()
.create(magic_hour::resources::v1::image_background_remover::CreateRequest {
assets: magic_hour::models::V1ImageBackgroundRemoverCreateBodyAssets {
background_image_file_path: Some("api-assets/id/1234.png".to_string()),
image_file_path: "api-assets/id/1234.png".to_string(),
},
name: Some("My Background Remover image".to_string()),
})
.await;Authorizations
Bearer authentication header of the form Bearer <api_key>, where <api_key> is your API key. To get your API key, go to Developer Hub and click "Create new API Key".
Body
application/json
Body
Response
Success
Success
Unique ID of the image. Use it with the Get image Project API to fetch status and downloads.
Example:
"cuid-example"
The amount of credits deducted from your account to generate the image. We charge credits right when the request is made.
If an error occurred while generating the image(s), credits will be refunded and this field will be updated to include the refund.
Example:
5
Was this page helpful?
⌘I